create temporary table pgdump_restore_path(p text);
--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
-- Edit the following to match the path where the
-- tar archive has been extracted.
--
insert into pgdump_restore_path values('/tmp');

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

ALTER TABLE ONLY public.bkptable DROP CONSTRAINT user_fk;
ALTER TABLE ONLY public.clartable DROP CONSTRAINT user_fk;
ALTER TABLE ONLY public.runtable DROP CONSTRAINT user_fk;
ALTER TABLE ONLY public.tasktable DROP CONSTRAINT user_fk;
ALTER TABLE ONLY public.logtable DROP CONSTRAINT site_fk;
ALTER TABLE ONLY public.usertable DROP CONSTRAINT site_fk;
ALTER TABLE ONLY public.sitetimetable DROP CONSTRAINT site_fk;
ALTER TABLE ONLY public.clartable DROP CONSTRAINT problem_fk;
ALTER TABLE ONLY public.runtable DROP CONSTRAINT problem_fk;
ALTER TABLE ONLY public.logtable DROP CONSTRAINT loguser;
ALTER TABLE ONLY public.runtable DROP CONSTRAINT lang_fk;
ALTER TABLE ONLY public.langtable DROP CONSTRAINT contest_fk;
ALTER TABLE ONLY public.answertable DROP CONSTRAINT contest_fk;
ALTER TABLE ONLY public.problemtable DROP CONSTRAINT contest_fk;
ALTER TABLE ONLY public.sitetable DROP CONSTRAINT contest_fk;
ALTER TABLE ONLY public.runtable DROP CONSTRAINT answer_fk;
DROP INDEX public.user_index2;
DROP INDEX public.user_index;
DROP INDEX public.task_index;
DROP INDEX public.sitetimesite_index;
DROP INDEX public.sitetime_index;
DROP INDEX public.site_index;
DROP INDEX public.run_index2;
DROP INDEX public.run_index;
DROP INDEX public.problem_index2;
DROP INDEX public.problem_index;
DROP INDEX public.log_index2;
DROP INDEX public.log_index;
DROP INDEX public.lang_index2;
DROP INDEX public.lang_index;
DROP INDEX public.contestnumber_index;
DROP INDEX public.clar_index2;
DROP INDEX public.clar_index;
DROP INDEX public.bkp_index2;
DROP INDEX public.bkp_index;
DROP INDEX public.answer_index;
ALTER TABLE ONLY public.usertable DROP CONSTRAINT user_pkey;
ALTER TABLE ONLY public.tasktable DROP CONSTRAINT task_pkey;
ALTER TABLE ONLY public.sitetimetable DROP CONSTRAINT sitetime_pkey;
ALTER TABLE ONLY public.sitetable DROP CONSTRAINT site_pkey;
ALTER TABLE ONLY public.runtable DROP CONSTRAINT run_pkey;
ALTER TABLE ONLY public.problemtable DROP CONSTRAINT problem_pkey;
ALTER TABLE ONLY public.logtable DROP CONSTRAINT log_pkey;
ALTER TABLE ONLY public.langtable DROP CONSTRAINT lang_pkey;
ALTER TABLE ONLY public.contesttable DROP CONSTRAINT contest_pkey;
ALTER TABLE ONLY public.clartable DROP CONSTRAINT clar_pkey;
ALTER TABLE ONLY public.bkptable DROP CONSTRAINT bkp_pkey;
ALTER TABLE ONLY public.answertable DROP CONSTRAINT answer_pkey;
ALTER TABLE public.logtable ALTER COLUMN lognumber DROP DEFAULT;
DROP TABLE public.usertable;
DROP TABLE public.tasktable;
DROP TABLE public.sitetimetable;
DROP TABLE public.sitetable;
DROP TABLE public.runtable;
DROP TABLE public.problemtable;
DROP SEQUENCE public.logtable_lognumber_seq;
DROP TABLE public.logtable;
DROP TABLE public.langtable;
DROP TABLE public.contesttable;
DROP TABLE public.clartable;
DROP TABLE public.bkptable;
DROP TABLE public.answertable;
DROP SCHEMA public;
--
-- Name: public; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO postgres;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: answertable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE answertable (
    contestnumber integer NOT NULL,
    answernumber integer NOT NULL,
    runanswer character varying(50) NOT NULL,
    yes boolean DEFAULT false NOT NULL,
    fake boolean DEFAULT false NOT NULL,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.answertable OWNER TO bocauser;

--
-- Name: bkptable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE bkptable (
    contestnumber integer NOT NULL,
    sitenumber integer NOT NULL,
    bkpnumber integer NOT NULL,
    usernumber integer NOT NULL,
    bkpdate integer NOT NULL,
    bkpfilename character varying(200) NOT NULL,
    bkpdata oid NOT NULL,
    bkpstatus character varying(50) NOT NULL,
    bkpsize integer NOT NULL,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.bkptable OWNER TO bocauser;

--
-- Name: clartable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE clartable (
    contestnumber integer NOT NULL,
    clarsitenumber integer NOT NULL,
    clarnumber integer NOT NULL,
    usernumber integer NOT NULL,
    clardate integer NOT NULL,
    clardatediff integer NOT NULL,
    clardatediffans integer NOT NULL,
    clarproblem integer NOT NULL,
    clardata text NOT NULL,
    claranswer text,
    clarstatus character varying(20) NOT NULL,
    clarjudge integer,
    clarjudgesite integer,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.clartable OWNER TO bocauser;

--
-- Name: contesttable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE contesttable (
    contestnumber integer NOT NULL,
    contestname character varying(50) NOT NULL,
    conteststartdate integer NOT NULL,
    contestduration integer NOT NULL,
    contestlastmileanswer integer,
    contestlastmilescore integer,
    contestlocalsite integer NOT NULL,
    contestpenalty integer NOT NULL,
    contestmaxfilesize integer NOT NULL,
    contestactive boolean NOT NULL,
    contestmainsite integer NOT NULL,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.contesttable OWNER TO bocauser;

--
-- Name: langtable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE langtable (
    contestnumber integer NOT NULL,
    langnumber integer NOT NULL,
    langname character varying(50) NOT NULL,
    langproblemnumber integer,
    langscriptname character varying(200),
    langscript oid,
    langcompscriptname character varying(200),
    langcompscript oid,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.langtable OWNER TO bocauser;

--
-- Name: logtable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE logtable (
    lognumber integer NOT NULL,
    contestnumber integer NOT NULL,
    sitenumber integer NOT NULL,
    loguser integer,
    logip character varying(20) NOT NULL,
    logdate integer NOT NULL,
    logtype character varying(20) NOT NULL,
    logdata text NOT NULL,
    logstatus character varying(20) DEFAULT ''::character varying
);


ALTER TABLE public.logtable OWNER TO bocauser;

--
-- Name: logtable_lognumber_seq; Type: SEQUENCE; Schema: public; Owner: bocauser
--

CREATE SEQUENCE logtable_lognumber_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.logtable_lognumber_seq OWNER TO bocauser;

--
-- Name: logtable_lognumber_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: bocauser
--

ALTER SEQUENCE logtable_lognumber_seq OWNED BY logtable.lognumber;


--
-- Name: logtable_lognumber_seq; Type: SEQUENCE SET; Schema: public; Owner: bocauser
--

SELECT pg_catalog.setval('logtable_lognumber_seq', 587, true);


--
-- Name: problemtable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE problemtable (
    contestnumber integer NOT NULL,
    problemnumber integer NOT NULL,
    problemname character varying(20) NOT NULL,
    problemfullname character varying(100),
    problembasefilename character varying(100),
    problemdescfilename character varying(100),
    problemdescfile oid,
    probleminputfilename character varying(100),
    probleminputfile oid,
    problemsolfilename character varying(100),
    problemsolfile oid,
    fake boolean DEFAULT false NOT NULL,
    problemtimelimit character varying(20) DEFAULT ''::character varying,
    problemcolorname character varying(100) DEFAULT ''::character varying,
    problemcolor character varying(6) DEFAULT ''::character varying,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.problemtable OWNER TO bocauser;

--
-- Name: runtable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE runtable (
    contestnumber integer NOT NULL,
    runsitenumber integer NOT NULL,
    runnumber integer NOT NULL,
    usernumber integer NOT NULL,
    rundate integer NOT NULL,
    rundatediff integer NOT NULL,
    rundatediffans integer NOT NULL,
    runproblem integer NOT NULL,
    runfilename character varying(200) NOT NULL,
    rundata oid NOT NULL,
    runanswer integer DEFAULT 0 NOT NULL,
    runstatus character varying(20) NOT NULL,
    runjudge integer,
    runjudgesite integer,
    runlangnumber integer NOT NULL,
    autoip character varying(20) DEFAULT NULL::character varying,
    autobegindate integer,
    autoenddate integer,
    autoanswer text,
    autostdout oid,
    autostderr oid,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.runtable OWNER TO bocauser;

--
-- Name: sitetable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE sitetable (
    contestnumber integer NOT NULL,
    sitenumber integer NOT NULL,
    siteip character varying(20) NOT NULL,
    sitename character varying(50) NOT NULL,
    siteactive boolean NOT NULL,
    sitepermitlogins boolean NOT NULL,
    sitelastmileanswer integer,
    sitelastmilescore integer,
    siteduration integer,
    siteautoend boolean,
    sitejudging text,
    sitetasking text,
    siteglobalscore boolean DEFAULT true NOT NULL,
    sitescorelevel integer DEFAULT 0 NOT NULL,
    sitenextuser integer DEFAULT 0 NOT NULL,
    sitenextclar integer DEFAULT 0 NOT NULL,
    sitenextrun integer DEFAULT 0 NOT NULL,
    sitenexttask integer DEFAULT 0 NOT NULL,
    sitemaxtask integer DEFAULT 8 NOT NULL,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL,
    siteautojudge boolean DEFAULT false
);


ALTER TABLE public.sitetable OWNER TO bocauser;

--
-- Name: sitetimetable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE sitetimetable (
    contestnumber integer NOT NULL,
    sitenumber integer NOT NULL,
    sitestartdate integer NOT NULL,
    siteenddate integer NOT NULL,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.sitetimetable OWNER TO bocauser;

--
-- Name: tasktable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE tasktable (
    contestnumber integer NOT NULL,
    sitenumber integer NOT NULL,
    usernumber integer NOT NULL,
    tasknumber integer NOT NULL,
    taskstaffnumber integer,
    taskstaffsite integer,
    taskdate integer NOT NULL,
    taskdatediff integer NOT NULL,
    taskdatediffans integer NOT NULL,
    taskdesc character varying(200),
    taskfilename character varying(100),
    taskdata oid,
    tasksystem boolean NOT NULL,
    taskstatus character varying(20) NOT NULL,
    colorname character varying(100) DEFAULT ''::character varying,
    color character varying(6) DEFAULT ''::character varying,
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL
);


ALTER TABLE public.tasktable OWNER TO bocauser;

--
-- Name: usertable; Type: TABLE; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE TABLE usertable (
    contestnumber integer NOT NULL,
    usersitenumber integer NOT NULL,
    usernumber integer NOT NULL,
    username character varying(20) NOT NULL,
    userfullname character varying(200) NOT NULL,
    userdesc character varying(300),
    usertype character varying(20) NOT NULL,
    userenabled boolean DEFAULT true NOT NULL,
    usermultilogin boolean DEFAULT false NOT NULL,
    userpassword character varying(40) DEFAULT ''::character varying,
    userip character varying(20),
    userlastlogin integer,
    usersession character varying(50) DEFAULT ''::character varying,
    userlastlogout integer,
    userpermitip character varying(100),
    updatetime integer DEFAULT date_part('epoch'::text, now()) NOT NULL,
    usericpcid character varying(50) DEFAULT ''::character varying
);


ALTER TABLE public.usertable OWNER TO bocauser;

--
-- Name: lognumber; Type: DEFAULT; Schema: public; Owner: bocauser
--

ALTER TABLE logtable ALTER COLUMN lognumber SET DEFAULT nextval('logtable_lognumber_seq'::regclass);


--
-- Data for Name: answertable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY answertable (contestnumber, answernumber, runanswer, yes, fake, updatetime) FROM stdin;
\.
copy answertable (contestnumber, answernumber, runanswer, yes, fake, updatetime)  from '$$PATH$$/1872.dat' ;
--
-- Data for Name: bkptable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY bkptable (contestnumber, sitenumber, bkpnumber, usernumber, bkpdate, bkpfilename, bkpdata, bkpstatus, bkpsize, updatetime) FROM stdin;
\.
copy bkptable (contestnumber, sitenumber, bkpnumber, usernumber, bkpdate, bkpfilename, bkpdata, bkpstatus, bkpsize, updatetime)  from '$$PATH$$/1877.dat' ;
--
-- Data for Name: clartable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY clartable (contestnumber, clarsitenumber, clarnumber, usernumber, clardate, clardatediff, clardatediffans, clarproblem, clardata, claranswer, clarstatus, clarjudge, clarjudgesite, updatetime) FROM stdin;
\.
copy clartable (contestnumber, clarsitenumber, clarnumber, usernumber, clardate, clardatediff, clardatediffans, clarproblem, clardata, claranswer, clarstatus, clarjudge, clarjudgesite, updatetime)  from '$$PATH$$/1876.dat' ;
--
-- Data for Name: contesttable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY contesttable (contestnumber, contestname, conteststartdate, contestduration, contestlastmileanswer, contestlastmilescore, contestlocalsite, contestpenalty, contestmaxfilesize, contestactive, contestmainsite, updatetime) FROM stdin;
\.
copy contesttable (contestnumber, contestname, conteststartdate, contestduration, contestlastmileanswer, contestlastmilescore, contestlocalsite, contestpenalty, contestmaxfilesize, contestactive, contestmainsite, updatetime)  from '$$PATH$$/1866.dat' ;
--
-- Data for Name: langtable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY langtable (contestnumber, langnumber, langname, langproblemnumber, langscriptname, langscript, langcompscriptname, langcompscript, updatetime) FROM stdin;
\.
copy langtable (contestnumber, langnumber, langname, langproblemnumber, langscriptname, langscript, langcompscriptname, langcompscript, updatetime)  from '$$PATH$$/1874.dat' ;
--
-- Data for Name: logtable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY logtable (lognumber, contestnumber, sitenumber, loguser, logip, logdate, logtype, logdata, logstatus) FROM stdin;
\.
copy logtable (lognumber, contestnumber, sitenumber, loguser, logip, logdate, logtype, logdata, logstatus)  from '$$PATH$$/1870.dat' ;
--
-- Data for Name: problemtable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY problemtable (contestnumber, problemnumber, problemname, problemfullname, problembasefilename, problemdescfilename, problemdescfile, probleminputfilename, probleminputfile, problemsolfilename, problemsolfile, fake, problemtimelimit, problemcolorname, problemcolor, updatetime) FROM stdin;
\.
copy problemtable (contestnumber, problemnumber, problemname, problemfullname, problembasefilename, problemdescfilename, problemdescfile, probleminputfilename, probleminputfile, problemsolfilename, problemsolfile, fake, problemtimelimit, problemcolorname, problemcolor, updatetime)  from '$$PATH$$/1871.dat' ;
--
-- Data for Name: runtable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY runtable (contestnumber, runsitenumber, runnumber, usernumber, rundate, rundatediff, rundatediffans, runproblem, runfilename, rundata, runanswer, runstatus, runjudge, runjudgesite, runlangnumber, autoip, autobegindate, autoenddate, autoanswer, autostdout, autostderr, updatetime) FROM stdin;
\.
copy runtable (contestnumber, runsitenumber, runnumber, usernumber, rundate, rundatediff, rundatediffans, runproblem, runfilename, rundata, runanswer, runstatus, runjudge, runjudgesite, runlangnumber, autoip, autobegindate, autoenddate, autoanswer, autostdout, autostderr, updatetime)  from '$$PATH$$/1875.dat' ;
--
-- Data for Name: sitetable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY sitetable (contestnumber, sitenumber, siteip, sitename, siteactive, sitepermitlogins, sitelastmileanswer, sitelastmilescore, siteduration, siteautoend, sitejudging, sitetasking, siteglobalscore, sitescorelevel, sitenextuser, sitenextclar, sitenextrun, sitenexttask, sitemaxtask, updatetime, siteautojudge) FROM stdin;
\.
copy sitetable (contestnumber, sitenumber, siteip, sitename, siteactive, sitepermitlogins, sitelastmileanswer, sitelastmilescore, siteduration, siteautoend, sitejudging, sitetasking, siteglobalscore, sitescorelevel, sitenextuser, sitenextclar, sitenextrun, sitenexttask, sitemaxtask, updatetime, siteautojudge)  from '$$PATH$$/1867.dat' ;
--
-- Data for Name: sitetimetable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY sitetimetable (contestnumber, sitenumber, sitestartdate, siteenddate, updatetime) FROM stdin;
\.
copy sitetimetable (contestnumber, sitenumber, sitestartdate, siteenddate, updatetime)  from '$$PATH$$/1868.dat' ;
--
-- Data for Name: tasktable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY tasktable (contestnumber, sitenumber, usernumber, tasknumber, taskstaffnumber, taskstaffsite, taskdate, taskdatediff, taskdatediffans, taskdesc, taskfilename, taskdata, tasksystem, taskstatus, colorname, color, updatetime) FROM stdin;
\.
copy tasktable (contestnumber, sitenumber, usernumber, tasknumber, taskstaffnumber, taskstaffsite, taskdate, taskdatediff, taskdatediffans, taskdesc, taskfilename, taskdata, tasksystem, taskstatus, colorname, color, updatetime)  from '$$PATH$$/1873.dat' ;
--
-- Data for Name: usertable; Type: TABLE DATA; Schema: public; Owner: bocauser
--

COPY usertable (contestnumber, usersitenumber, usernumber, username, userfullname, userdesc, usertype, userenabled, usermultilogin, userpassword, userip, userlastlogin, usersession, userlastlogout, userpermitip, updatetime, usericpcid) FROM stdin;
\.
copy usertable (contestnumber, usersitenumber, usernumber, username, userfullname, userdesc, usertype, userenabled, usermultilogin, userpassword, userip, userlastlogin, usersession, userlastlogout, userpermitip, updatetime, usericpcid)  from '$$PATH$$/1869.dat' ;
--
-- Data for Name: BLOBS; Type: BLOBS; Schema: -; Owner: 
--

SET search_path = pg_catalog;

--
-- Data for Name: BLOB COMMENTS; Type: BLOB COMMENTS; Schema: -; Owner: 
--

SET search_path = public, pg_catalog;

--
-- Name: answer_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY answertable
    ADD CONSTRAINT answer_pkey PRIMARY KEY (contestnumber, answernumber);


--
-- Name: bkp_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY bkptable
    ADD CONSTRAINT bkp_pkey PRIMARY KEY (contestnumber, sitenumber, bkpnumber);


--
-- Name: clar_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY clartable
    ADD CONSTRAINT clar_pkey PRIMARY KEY (contestnumber, clarsitenumber, clarnumber);


--
-- Name: contest_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY contesttable
    ADD CONSTRAINT contest_pkey PRIMARY KEY (contestnumber);


--
-- Name: lang_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY langtable
    ADD CONSTRAINT lang_pkey PRIMARY KEY (contestnumber, langnumber);


--
-- Name: log_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY logtable
    ADD CONSTRAINT log_pkey PRIMARY KEY (lognumber);


--
-- Name: problem_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY problemtable
    ADD CONSTRAINT problem_pkey PRIMARY KEY (contestnumber, problemnumber);


--
-- Name: run_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY runtable
    ADD CONSTRAINT run_pkey PRIMARY KEY (contestnumber, runsitenumber, runnumber);


--
-- Name: site_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY sitetable
    ADD CONSTRAINT site_pkey PRIMARY KEY (contestnumber, sitenumber);


--
-- Name: sitetime_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY sitetimetable
    ADD CONSTRAINT sitetime_pkey PRIMARY KEY (contestnumber, sitenumber, sitestartdate);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY tasktable
    ADD CONSTRAINT task_pkey PRIMARY KEY (contestnumber, sitenumber, tasknumber);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: public; Owner: bocauser; Tablespace: 
--

ALTER TABLE ONLY usertable
    ADD CONSTRAINT user_pkey PRIMARY KEY (contestnumber, usersitenumber, usernumber);


--
-- Name: answer_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX answer_index ON answertable USING btree (contestnumber, answernumber);


--
-- Name: bkp_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX bkp_index ON bkptable USING btree (contestnumber, sitenumber, bkpnumber);


--
-- Name: bkp_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX bkp_index2 ON bkptable USING btree (contestnumber, sitenumber, usernumber);


--
-- Name: clar_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX clar_index ON clartable USING btree (contestnumber, clarsitenumber, clarnumber);


--
-- Name: clar_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX clar_index2 ON clartable USING btree (contestnumber, clarsitenumber, usernumber);


--
-- Name: contestnumber_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX contestnumber_index ON contesttable USING btree (contestnumber);


--
-- Name: lang_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX lang_index ON langtable USING btree (contestnumber, langnumber);


--
-- Name: lang_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX lang_index2 ON langtable USING btree (contestnumber, langname varchar_ops);


--
-- Name: log_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX log_index ON logtable USING btree (contestnumber, sitenumber, logdate);


--
-- Name: log_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX log_index2 ON logtable USING btree (contestnumber, loguser, sitenumber);


--
-- Name: problem_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX problem_index ON problemtable USING btree (contestnumber, problemnumber);


--
-- Name: problem_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX problem_index2 ON problemtable USING btree (contestnumber, problemname varchar_ops);


--
-- Name: run_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX run_index ON runtable USING btree (contestnumber, runsitenumber, runnumber);


--
-- Name: run_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX run_index2 ON runtable USING btree (contestnumber, runsitenumber, usernumber);


--
-- Name: site_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX site_index ON sitetable USING btree (contestnumber, sitenumber);


--
-- Name: sitetime_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX sitetime_index ON sitetimetable USING btree (contestnumber, sitenumber, sitestartdate);


--
-- Name: sitetimesite_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE INDEX sitetimesite_index ON sitetimetable USING btree (contestnumber, sitenumber);


--
-- Name: task_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX task_index ON tasktable USING btree (contestnumber, sitenumber, tasknumber);


--
-- Name: user_index; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX user_index ON usertable USING btree (contestnumber, usersitenumber, usernumber);


--
-- Name: user_index2; Type: INDEX; Schema: public; Owner: bocauser; Tablespace: 
--

CREATE UNIQUE INDEX user_index2 ON usertable USING btree (contestnumber, usersitenumber, username varchar_ops);


--
-- Name: answer_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY runtable
    ADD CONSTRAINT answer_fk FOREIGN KEY (contestnumber, runanswer) REFERENCES answertable(contestnumber, answernumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: contest_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY sitetable
    ADD CONSTRAINT contest_fk FOREIGN KEY (contestnumber) REFERENCES contesttable(contestnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: contest_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY problemtable
    ADD CONSTRAINT contest_fk FOREIGN KEY (contestnumber) REFERENCES contesttable(contestnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: contest_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY answertable
    ADD CONSTRAINT contest_fk FOREIGN KEY (contestnumber) REFERENCES contesttable(contestnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: contest_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY langtable
    ADD CONSTRAINT contest_fk FOREIGN KEY (contestnumber) REFERENCES contesttable(contestnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: lang_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY runtable
    ADD CONSTRAINT lang_fk FOREIGN KEY (contestnumber, runlangnumber) REFERENCES langtable(contestnumber, langnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: loguser; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY logtable
    ADD CONSTRAINT loguser FOREIGN KEY (contestnumber, loguser, sitenumber) REFERENCES usertable(contestnumber, usernumber, usersitenumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: problem_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY runtable
    ADD CONSTRAINT problem_fk FOREIGN KEY (contestnumber, runproblem) REFERENCES problemtable(contestnumber, problemnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: problem_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY clartable
    ADD CONSTRAINT problem_fk FOREIGN KEY (contestnumber, clarproblem) REFERENCES problemtable(contestnumber, problemnumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: site_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY sitetimetable
    ADD CONSTRAINT site_fk FOREIGN KEY (contestnumber, sitenumber) REFERENCES sitetable(contestnumber, sitenumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: site_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY usertable
    ADD CONSTRAINT site_fk FOREIGN KEY (contestnumber, usersitenumber) REFERENCES sitetable(contestnumber, sitenumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: site_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY logtable
    ADD CONSTRAINT site_fk FOREIGN KEY (contestnumber, sitenumber) REFERENCES sitetable(contestnumber, sitenumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: user_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY tasktable
    ADD CONSTRAINT user_fk FOREIGN KEY (contestnumber, sitenumber, usernumber) REFERENCES usertable(contestnumber, usersitenumber, usernumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: user_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY runtable
    ADD CONSTRAINT user_fk FOREIGN KEY (contestnumber, runsitenumber, usernumber) REFERENCES usertable(contestnumber, usersitenumber, usernumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: user_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY clartable
    ADD CONSTRAINT user_fk FOREIGN KEY (contestnumber, clarsitenumber, usernumber) REFERENCES usertable(contestnumber, usersitenumber, usernumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: user_fk; Type: FK CONSTRAINT; Schema: public; Owner: bocauser
--

ALTER TABLE ONLY bkptable
    ADD CONSTRAINT user_fk FOREIGN KEY (contestnumber, sitenumber, usernumber) REFERENCES usertable(contestnumber, usersitenumber, usernumber) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: answertable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE answertable FROM PUBLIC;
REVOKE ALL ON TABLE answertable FROM bocauser;
GRANT ALL ON TABLE answertable TO bocauser;


--
-- Name: bkptable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE bkptable FROM PUBLIC;
REVOKE ALL ON TABLE bkptable FROM bocauser;
GRANT ALL ON TABLE bkptable TO bocauser;


--
-- Name: clartable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE clartable FROM PUBLIC;
REVOKE ALL ON TABLE clartable FROM bocauser;
GRANT ALL ON TABLE clartable TO bocauser;


--
-- Name: contesttable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE contesttable FROM PUBLIC;
REVOKE ALL ON TABLE contesttable FROM bocauser;
GRANT ALL ON TABLE contesttable TO bocauser;


--
-- Name: langtable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE langtable FROM PUBLIC;
REVOKE ALL ON TABLE langtable FROM bocauser;
GRANT ALL ON TABLE langtable TO bocauser;


--
-- Name: logtable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE logtable FROM PUBLIC;
REVOKE ALL ON TABLE logtable FROM bocauser;
GRANT ALL ON TABLE logtable TO bocauser;


--
-- Name: logtable_lognumber_seq; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON SEQUENCE logtable_lognumber_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE logtable_lognumber_seq FROM bocauser;
GRANT ALL ON SEQUENCE logtable_lognumber_seq TO bocauser;


--
-- Name: problemtable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE problemtable FROM PUBLIC;
REVOKE ALL ON TABLE problemtable FROM bocauser;
GRANT ALL ON TABLE problemtable TO bocauser;


--
-- Name: runtable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE runtable FROM PUBLIC;
REVOKE ALL ON TABLE runtable FROM bocauser;
GRANT ALL ON TABLE runtable TO bocauser;


--
-- Name: sitetable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE sitetable FROM PUBLIC;
REVOKE ALL ON TABLE sitetable FROM bocauser;
GRANT ALL ON TABLE sitetable TO bocauser;


--
-- Name: sitetimetable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE sitetimetable FROM PUBLIC;
REVOKE ALL ON TABLE sitetimetable FROM bocauser;
GRANT ALL ON TABLE sitetimetable TO bocauser;


--
-- Name: tasktable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE tasktable FROM PUBLIC;
REVOKE ALL ON TABLE tasktable FROM bocauser;
GRANT ALL ON TABLE tasktable TO bocauser;


--
-- Name: usertable; Type: ACL; Schema: public; Owner: bocauser
--

REVOKE ALL ON TABLE usertable FROM PUBLIC;
REVOKE ALL ON TABLE usertable FROM bocauser;
GRANT ALL ON TABLE usertable TO bocauser;


--
-- PostgreSQL database dump complete
--

